package de.fhw.swtvertiefung.knauf.kuchenzutatbmp;
import de.fhw.swtvertiefung.knauf.kuchenzutatbmp.KuchenBMPLocal;
/**
 * Local interface for Enterprise Bean: ZutatBMP
 */
public interface ZutatBMPLocal extends javax.ejb.EJBLocalObject {
	/**Abrufen des Kuchens, zu dem die Zutat gehrt.
	 * Fhrt ein "findByPrimaryKey" auf das HomeInterface des Kuchens zurck.
	 * @return Der Kuchen der Zutat.
	 */
	public KuchenBMPLocal getKuchen();
	/**Setzen der Kuchen-ID. Darf hier nicht abstrakt sein.
	 * @param lng_KuchenId Die Kuchen-ID
	 */
	public void setKuchenId(Long lng_KuchenId);
	/**Abrufen der Kuchen-ID
	 * @return Die Kuchen-ID.
	 */
	public Long getKuchenId();
	/**Setzen der Menge. Darf hier nicht abstrakt sein.
	 * @param str_Menge Die bentigte Menge
	 */
	public void setMenge(String str_Menge);
	/**Abrufen der Menge
	 * @return Die Menge.
	 */
	public String getMenge();
	/**Setzen des Zutat-Namens. Darf hier nicht abstrakt sein.
	 * @param str_ZutatName Der Name der Zutat
	 */
	public void setZutatName(String str_ZutatName);
	/**Abrufen des Zutat-Namens.
	 * @return der Zutat-Name.
	 */
	public String getZutatName();
	//////////////////////////////////////////////////////////////////////////////////
	//                   Zugriffsmethoden fr die Felder                            //
	//////////////////////////////////////////////////////////////////////////////////

	/**Abrufen der Zutat-ID. Darf hier nicht abstrakt sein.
	 * Es gibt keine Set-Methode dazu (weil es das PrimaryKey-Feld ist).
	 * @return Die Zutat-ID.
	 */
	public Long getId();
}
