<%@ page import="javax.naming.InitialContext"%>
<%@ page import="de.fhw.swtvertiefung.knauf.kuchenzutatbmp.*"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Iterator"%>
<HTML>
<HEAD>
<TITLE>
Kuchen bearbeiten
</TITLE>
</HEAD>
<BODY>
<H1>
Kuchen bearbeiten.
</H1>
<%
//Holen des Home-Interfaces:
InitialContext initialContext = new InitialContext();
Object homeref = initialContext.lookup ("java:comp/env/ejb/KuchenBMP");
KuchenBMPLocalHome kuchenHome = (KuchenBMPLocalHome) homeref;

//Je nach Request unterschiedliche Aktionen.

String strSubmitType = request.getParameter("submit");
if ("Neu".equals (strSubmitType) == true)
{
  //Neuen Kuchen erzeugen:
%>
<FORM method="post">
Kuchen-Bezeichnung: <input type="text" name="name"> <br>
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="NeuOK">
</FORM>
<%
}
else if ("NeuOK".equals (strSubmitType) == true)
{
  //Nach dem "Neu"-Formular: Kuchen erzeugen.
  KuchenBMPLocal kuchenNeu = kuchenHome.createByName( request.getParameter("name") );

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("Kuchen.jsp").forward(request, response);
}
else if ("Bearbeiten".equals(strSubmitType) == true)
{
  //Kuchen bearbeiten: Den Kuchen holen (ID steckt im Request !) und den Namen im Textfeld vorgeben.
  //Die ID allerdings in BigInteger umwandeln, denn der Request sendet einen String !
  String strID =  request.getParameter("kuchenid");
  KuchenBMPLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( Long.valueOf(strID) );
%>
<FORM method="post">
Kuchen-Bezeichnung: <input type="text" name="name" value="<%=kuchenBearbeiten.getName()%>"> <br>
Zutaten: <br>
<ul> <%
  //Liste der Zutaten aufbauen:
  ArrayList listZutaten = kuchenBearbeiten.getZutatenListe();
  Iterator iteratorZutaten = listZutaten.iterator();
  while (iteratorZutaten.hasNext() == true)
  {
    ZutatBMPLocal zutat = (ZutatBMPLocal) iteratorZutaten.next();
%>  <li><%=zutat.getZutatName()%> - <%=zutat.getMenge()%></li>
<%
  }
%></ul><br> <br>
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="BearbeitenOK"> <br>
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="BearbeitenZutaten">
<!--Die Kuchen-ID als Hidden Field mitfhren -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
</FORM>
<%
}
else if ("BearbeitenOK".equals(strSubmitType) == true)
{
  //Im Bearbeiten-Formular auf "OK" geklickt: Kuchen updaten.
  //Den Kuchen holen (ID steckt im Request !) und den Namen im Textfeld vorgeben.
  //Die ID allerdings in BigInteger umwandeln, denn der Request sendet einen String !
  String strID =  request.getParameter("kuchenid");
  KuchenBMPLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( Long.valueOf(strID) );

  kuchenBearbeiten.setName( request.getParameter("name") );

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("Kuchen.jsp").forward(request, response);
}
else if ("BearbeitenZutaten".equals(strSubmitType) == true)
{
  //Im Bearbeiten-Formular wurde "Zutaten Bearbeiten" gewhlt:

  //Request weiterleiten an Zutatenseite:
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
else if ("Loeschen".equals(strSubmitType) == true)
{
  //Kuchen lschen:
  //Die ID allerdings in BigInteger umwandeln, denn der Request sendet einen String !
  String strID =  request.getParameter("kuchenid");
  KuchenBMPLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( Long.valueOf(strID) );
  kuchenBearbeiten.remove();

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("Kuchen.jsp").forward(request, response);
}
%>

</BODY>
</HTML>
