<%@ page import="javax.naming.InitialContext"%>
<%@ page import="de.fhw.swtvertiefung.knauf.kuchenzutatbmp.*"%>
<HTML>
<HEAD>
<TITLE>
Kuchenzutat bearbeiten
</TITLE>
</HEAD>
<BODY>
<H1>Kuchenzutat bearbeiten</H1>

<%
//Holen des Home-Interfaces:
InitialContext initialContext = new InitialContext();
Object homeref = initialContext.lookup ("java:comp/env/ejb/KuchenBMP");
KuchenBMPLocalHome kuchenHome = (KuchenBMPLocalHome) homeref;

homeref = initialContext.lookup ("java:comp/env/ejb/ZutatBMP");
ZutatBMPLocalHome zutatHome = (ZutatBMPLocalHome) homeref;

//Es wird auf jeden Fall ein Kuchen bearbeitet.
String strID = request.getParameter("kuchenid");
Long lngKuchenId = Long.valueOf(strID);
KuchenBMPLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( lngKuchenId );

//Je nach Request unterschiedliche Aktionen.

String strSubmitType = request.getParameter("submit");
if ("NeuZutat".equals (strSubmitType) == true)
{
  //Neuen Kuchen erzeugen:
%>
<FORM method="post">
Zutat-Bezeichnung: <input type="text" name="zutatName"> <br>
Menge: <input type="text" name="menge"> <br>
<!--Die Kuchen-ID als Hidden Field mitfhren -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="NeuZutatOK">
</FORM>
<%
}
else if ("NeuZutatOK".equals (strSubmitType) == true)
{
  //Es wurde im "Neu"-Formular auf "OK" geklickt: Anlegen der neuen Zutat:
  ZutatBMPLocal zutatNeu = kuchenBearbeiten.addZutat( request.getParameter("zutatName"), request.getParameter("menge") );

  //Zurck zum Kuchen-Bearbeiten-Fenster.
  //Die Kuchen-ID, die dieses Fenster bentigt, steckt ja noch im Request.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
else if ("BearbeitenZutat".equals (strSubmitType) == true)
{
  //Zutat bearbeiten. Diese holen.
  String strZutatID = request.getParameter("zutatid");
  //In Integer umwandeln:
  Long lngZutatID = Long.valueOf(strZutatID);
  ZutatBMPLocal zutatBearbeiten = zutatHome.findByPrimaryKey( lngZutatID );
%>
<FORM method="post">
Sie bearbeiten den Kuchen <b><%=zutatBearbeiten.getKuchen().getName()%></b> <br>
Zutat-Bezeichnung: <input type="text" name="zutatName" value="<%=zutatBearbeiten.getZutatName()%>"> <br>
Menge: <input type="text" name="menge" value="<%=zutatBearbeiten.getMenge()%>"> <br>
<!--Die Kuchen-ID als Hidden Field mitfhren, dito fr Zutatid. -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
<input type="hidden" name="zutatid" value="<%=zutatBearbeiten.getPrimaryKey()%>">
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="BearbeitenZutatOK">
</FORM>
<%
}
else if ("BearbeitenZutatOK".equals (strSubmitType) == true)
{
  //Es wurde im "Bearbeiten"-Formular auf "OK" geklickt: Update der Felder.
  String strZutatID = request.getParameter("zutatid");
  //In Integer umwandeln:
  Long lngZutatID = Long.valueOf(strZutatID);
  ZutatBMPLocal zutatBearbeiten = zutatHome.findByPrimaryKey( lngZutatID );
  zutatBearbeiten.setZutatName( request.getParameter("zutatName") );
  zutatBearbeiten.setMenge( request.getParameter("menge") );

  //Zurck zum Kuchen-Bearbeiten-Fenster.
  //Die Kuchen-ID, die dieses Fenster bentigt, steckt ja noch im Request.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
else if ("LoeschenZutat".equals (strSubmitType) == true)
{
  //Klick auf "Lschen": Holen der Zutat, dann lschen.
  String strZutatID = request.getParameter("zutatid");
  //In Long umwandeln:
  Long lngZutatID = Long.valueOf(strZutatID);
  ZutatBMPLocal zutatLoeschen = zutatHome.findByPrimaryKey( lngZutatID );

  zutatLoeschen.remove();

  //Request wieder an bersichtsseite leiten.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
%>
</BODY>
</HTML>
