package de.fhw.swtvertiefung.knauf.kuchenzutatbmp;
import javax.ejb.FinderException;
import javax.ejb.CreateException;
/**
 * Local Home interface for Enterprise Bean: KuchenBMP
 */
public interface KuchenBMPLocalHome extends javax.ejb.EJBLocalHome {
	/**
	 * Finds an instance using a key for Entity Bean: KuchenBMP
	 */
	public de.fhw.swtvertiefung.knauf.kuchenzutatbmp.KuchenBMPLocal findByPrimaryKey(
		java.lang.Long primaryKey) throws javax.ejb.FinderException;
	/**Einlesen aller Kuchen.
	 * @return Eine Collection der >>>>IDs<<<< aller Kuchen-Objekte (nicht der LocalHome-Interfaces).
	 * @exception FinderException Falls kein Datensatz gefunden wurde oder ein Fehler auftrat.
	 */
	public java.util.Collection findAll() throws FinderException;
	/**Von auen verwendbare Methode aus dem Home-Interface: Ermitteln der nchsten verfgbaren
	 * Kuchen-ID.
	 * @return Die neue Kuchen-ID, 1 grer als die maximal vorhandene ID. Wenn es keine gibt,
	 * wird "1" zurckgeliefert.
	 */
	public java.lang.Long getNextId();
	//////////////////////////////////////////////////////////////////////////////////
	//                          Weitere Methoden                                    //
	//////////////////////////////////////////////////////////////////////////////////

	/**Erzeugen eines Kuchen-Objekts, wobei der Name angegeben wird. Der Key wird automtatisch erzeugt
	 * und der Datensatz gespeichert.
	 * @param str_Name Der Name des Kuchens.
	 * @return Die neue ID des Satzes.
	 * @exception CreateException Fehler beim Erzeugen.
	 */
	public de.fhw.swtvertiefung.knauf.kuchenzutatbmp.KuchenBMPLocal createByName(
		String str_Name) throws CreateException;
}
